# -*- coding: utf-8 -*-
# Generated by Django 1.11.5 on 2017-09-18 20:14
from __future__ import unicode_literals

import django.db.models.deletion
import wagtail.core.fields
from django.db import migrations, models


class Migration(migrations.Migration):
    dependencies = [
        ('wagtailimages', '0019_delete_filter'),
        ('home', '0002_auto_20170912_1337'),
    ]

    operations = [
        migrations.AddField(
            model_name='homepage',
            name='banner_image',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+',
                                    to='wagtailimages.Image'),
        ),
        migrations.AddField(
            model_name='homepage',
            name='link_to_blog_intro',
            field=wagtail.core.fields.RichTextField(blank=True, verbose_name='Intro before link to blog'),
        ),
        migrations.AddField(
            model_name='homepage',
            name='link_to_roadbook_intro',
            field=wagtail.core.fields.RichTextField(blank=True, verbose_name='Intro before link to road book'),
        ),
        migrations.AlterField(
            model_name='homepage',
            name='intro',
            field=models.CharField(blank=True, max_length=250),
        ),
        migrations.AlterField(
            model_name='homepage',
            name='intro_en',
            field=models.CharField(blank=True, max_length=250, null=True),
        ),
        migrations.AlterField(
            model_name='homepage',
            name='intro_fr',
            field=models.CharField(blank=True, max_length=250, null=True),
        ),
        migrations.AddField(
            model_name='homepage',
            name='link_to_blog_intro_en',
            field=wagtail.core.fields.RichTextField(blank=True, null=True,
                                                    verbose_name='Intro before link to blog'),
        ),
        migrations.AddField(
            model_name='homepage',
            name='link_to_blog_intro_fr',
            field=wagtail.core.fields.RichTextField(blank=True, null=True,
                                                    verbose_name='Intro before link to blog'),
        ),
        migrations.AddField(
            model_name='homepage',
            name='link_to_roadbook_intro_en',
            field=wagtail.core.fields.RichTextField(blank=True, null=True,
                                                    verbose_name='Intro before link to road book'),
        ),
        migrations.AddField(
            model_name='homepage',
            name='link_to_roadbook_intro_fr',
            field=wagtail.core.fields.RichTextField(blank=True, null=True,
                                                    verbose_name='Intro before link to road book'),
        ),
    ]
